﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace ListScrollExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonAdd1_Click(object sender, RoutedEventArgs e)
        {
            Random rnd = new Random(500);
            var newBatchItem = new BatchItem();
            newBatchItem.Name = rnd.Next().ToString();
            controlTimeline.Batchitems1.Add(newBatchItem);

            this.ScrollToItem(controlTimeline.listTrack1);
        }

        private void buttonAdd2_Click(object sender, RoutedEventArgs e)
        {
            Random rnd = new Random(500);
            var newBatchItem = new BatchItem();
            newBatchItem.Name = rnd.Next().ToString();
            controlTimeline.Batchitems2.Add(newBatchItem);

            this.ScrollToItem(controlTimeline.listTrack2);
        }        

        private void buttonAdd3_Click(object sender, RoutedEventArgs e)
        {
            Random rnd = new Random(500);
            var newBatchItem = new BatchItem();
            newBatchItem.Name = rnd.Next().ToString();
            controlTimeline.Batchitems3.Add(newBatchItem);

            this.ScrollToItem(controlTimeline.listTrack3);
        }

        private void ScrollToItem(RadListBox listBox)
        {
            var scr = controlTimeline.listMain.ChildrenOfType<ScrollViewer>().First();
            var generator = listBox.ItemContainerGenerator;
            double width = 0d;

            for (int i = 0; i < listBox.Items.Count; i++)
            {
                var container = generator.ContainerFromIndex(i);
                if (container != null)
                {
                    width = (container as RadListBoxItem).ActualWidth;
                    break;
                }
            }

            if (width != 0d)
            {
                scr.ScrollToHorizontalOffset(width * (listBox.Items.Count - 1));
            }
        }
    }
}
