﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ListScrollExample
{
    /// <summary>
    /// Interaction logic for TimelineControl.xaml
    /// </summary>
    public partial class TimelineControl : UserControl,INotifyPropertyChanged
    {
        public TimelineControl()
        {
            InitializeComponent();
            
        }
        private void BindFakeData()
        {
            try
            {
                var tempColl = new ObservableCollection<BatchItem>();
                for (int i = 0; i < 19; i++)
                {
                    var newBatch = new BatchItem();
                    newBatch.Name = "BatchItem " + i.ToString();
                    tempColl.Add(newBatch);

                }
                Batchitems1 = tempColl;
                listTrack1.ItemsSource = Batchitems1;

                var tempCol2 = new ObservableCollection<BatchItem>();
                for (int i = 0; i < 5; i++)
                {
                    var newBatch = new BatchItem();
                    newBatch.Name = "BatchItem " + i.ToString();
                    tempCol2.Add(newBatch);

                }
                Batchitems2 = tempCol2;
                listTrack2.ItemsSource = Batchitems2;

                var tempCol3 = new ObservableCollection<BatchItem>();
                for (int i = 0; i < 11; i++)
                {
                    var newBatch = new BatchItem();
                    newBatch.Name = "BatchItem " + i.ToString();
                    tempCol3.Add(newBatch);

                }
                Batchitems3 = tempCol3;
                listTrack3.ItemsSource = Batchitems3;
            }
            catch (Exception ex)
            {
                Console.Write(ex.Message);
            }

        }

        private ObservableCollection<BatchItem> _batchItems1;
        public ObservableCollection<BatchItem> Batchitems1
        {
            get
            {
                return _batchItems1;
            }
            set
            {
                if (_batchItems1 != value)
                {
                    _batchItems1 = value;
                    OnPropertyChanged("Batchitems1");
                }
            }

        }

        private ObservableCollection<BatchItem> _batchItems2;
        public ObservableCollection<BatchItem> Batchitems2
        {
            get
            {
                return _batchItems2;
            }
            set
            {
                if (_batchItems2 != value)
                {
                    _batchItems2 = value;
                    OnPropertyChanged("Batchitems2");
                }
            }

        }

        private ObservableCollection<BatchItem> _batchItems3;
        public ObservableCollection<BatchItem> Batchitems3
        {
            get
            {
                return _batchItems3;
            }
            set
            {
                if (_batchItems3 != value)
                {
                    _batchItems3 = value;
                    OnPropertyChanged("Batchitems3");
                }
            }

        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            BindFakeData();
        }
    }
}

